## Moderator guidelines

We aim to be an inclusive community and as such you should refrain from kicking and banning users from the #nim IRC channel. If an argument goes out of hand then you may silence the users involved for a length of time that is no longer than 15 minutes. Kicking/Banning should be reserved for the absolute last resort, that is, if the user is intentionally causing chaos in the IRC channel despite many warnings.

Should these rules not suffice, we will change them, but in all the years of Nim's development it was never necessary to ban one and we like to continue this trend.

## How To

The following commands can be executed by sending them via the text box that you ordinarily use to speak with people.

### Quiet user

First you need to get the ``o`` flag on yourself with ``/msg ChanServ op #nim``.

To mute somebody in the channel use the following command: ``/mode #nim +q <MASK>`` where ``<MASK>`` is how the user that will be muted is determined.

If for example the user's nickname (that you want to mute) is 'NimIsAwesome' then you can use the following mask: ``NimIsAwesome!*@*``.

If you know the account that the user is logged in under (you can check this via /whois). Then you can use ``$a:accountName`` as the mask.

For more info about the masks take a look at the Freenode docs [here](https://freenode.net/using_the_network.shtml).

## Useful links

* https://freenode.net/using_the_network.shtml